<p align="center"><img src="https://i.ibb.co/yn6xzCt/Air-Ship-Plus-Banner.jpg"></p>
<p align="center"><b>For Questions or Comments go to: <a href="https://discord.gg/mZNHDwxTgp">Marlton's Channel</a> or to my website: <a href="https://marlthon.com/">Marlthon's Website</a></b></p>

# Description

AirShips are back in Valheim, get your Floating Orbs ready and explore the world by air.</br>
Boats need fuel (Floating Orbs) to fly, depending on the speed of navigation, the consumption time of the orbs is greater or lesser, each boat class uses a different type of Orb.</br>
Orbs can be crafted in the WorkBench. Orb recipes can be customized according to your wishes, to take control of the boats you must supply them first,
When the fuel runs out, you release the controls and the boat starts to descend slowly.


## ATTENTION

This MOD is free to play alone or offline, <mark>to play with friends or on a dedicated server you need to register and be a donor.</mark></BR>
You are free to download and test this mod or play it offline. Click here to go to the <a href="https://marlthon.com/donate-page"><b>Marlthon's Website</b></a>.

## Support

Did you like my Mods? If you want to support me click on the image link below:</br>

<a href="https://marlthon.com/donate-page"><img src="https://i.ibb.co/kJqcqkg/Pay-Pal-Donate.png" /></a>

*Any donation help me to continue creating and updating mods. Thank you very much for your support.**

# Informations

<details>
<summary><b>INFORMATION ABOUT AIRSHIPs</b> (<i>click to expand</i>)</summary>
</br>
Orb consumption time: (Not Configurable)</br>
Back Speed = 1 Orb every 240 seconds</br>
Slow Speed ​​= 1 Orb every 120 seconds</br>
Half Speed = 1 Orb every 60 seconds</br>
Full Speed = 1 Orb every 30 seconds</br>
</br>
Requirements for building Flying Caravel: (Configurable)</br>
Crafting Table: Workbench</br>
FineWood = 50</br>
Iron = 20</br>
DeerHide = 20</br>
Minimum height in flight: 4m (Not Configurable)</br>
Maximum height in flight: 200m (Not Configurable)</br>
</br>
Requirements for building Steampunk AirShip: (Configurable)</br>
Crafting Table: Workbench</br>
FineWood = 40</br>
Bronze = 20</br>
DeerHide = 20</br>
Minimum height in flight: 4m (Not Configurable)</br>
Maximum height in flight: 200m (Not Configurable)</br>
</br>
Requirements for building Titan AirShip: (Configurable)</br>
Crafting Table: Workbench</br>
FineWood = 100</br>
Iron = 40</br>
LoxPelt = 40</br>
Minimum height in flight: 4m (Not Configurable)</br>
Maximum height in flight: 200m (Not Configurable)</br>
</br>
Requirements for building Handmade Balloon: (Configurable)</br>
Crafting Table: Workbench</br>
Wood = 50</br>
LeatherScraps = 20</br>
BoneFragments = 10</br>
Minimum height in flight: 4m (Not Configurable)</br>
Maximum height in flight: 200m (Not Configurable)</br>
</details>

<details>
<summary><b>FLOATING ORBS INFORMATION</b> (<i>click to expand</i>)</summary>
<br/>
Default Recipe for Floating Blue Orb: (Configurable)</br>
FreezeGland = 1</br>
Coal = 1</br>
Bronze = 1</br>
Craft Amount = 4</br>
</br>
Default Recipe for Floating Green Orb: (Configurable)</br>
Guck = 1</br>
Coal = 1</br>
Bronze = 1</br>
Craft Amount = 4</br>
</br>
Default Recipe for Floating Yellow Orb: (Configurable)</br>
Resin = 1</br>
Coal = 1</br>
Flint = 1</br>
Craft Amount = 4</br>
</br>
Default Recipe for Floating Red Orb: (Configurable)</br>
SurtlingCore = 1</br>
Coal = 1</br>
Bronze = 1</br>
Craft Amount = 4</br>
</details>

## Photo Gallery Air Ship Plus

<details>
<summary><b>Flying Caravel Photo 1</b> (<i>click to expand</i>)</summary>
<br/>
<p align="center"><img src="https://i.ibb.co/RcKfvBt/screenshot-2023-04-25-193304.png"></p>
</details>

<details>
<summary><b>Flying Caravel Photo 2</b> (<i>click to expand</i>)</summary>
<br/>
<p align="center"><img src="https://i.ibb.co/CHf5PKx/screenshot-2023-04-28-173124.png"></p>
</details>

<details>
<summary><b>Flying Caravel Photo 3</b> (<i>click to expand</i>)</summary>
<br/>
<p align="center"><img src="https://i.ibb.co/jZ3scSx/screenshot-2023-04-28-172929.png"></p>
</details>

<details>
<summary><b>Flying Caravel and Steampunk AirShip</b> (<i>click to expand</i>)</summary>
<br/>
<p align="center"><img src="https://i.ibb.co/s6w93HH/screenshot-2023-04-28-172906.png"></p>
</details>

<details>
<summary><b>Steampunk AirShip Photo 1</b> (<i>click to expand</i>)</summary>
<br/>
<p align="center"><img src="https://i.ibb.co/V9602Bp/screenshot-2023-04-28-173252.png"></p>
</details>

<details>
<summary><b>Steampunk AirShip Photo 2</b> (<i>click to expand</i>)</summary>
<br/>
<p align="center"><img src="https://i.ibb.co/x55R0tp/screenshot-2023-04-28-173347.png"></p>
</details>

<details>
<summary><b>Steampunk AirShip Photo 3</b> (<i>click to expand</i>)</summary>
<br/>
<p align="center"><img src="https://i.ibb.co/sqnR9t2/screenshot-2023-04-28-173355.png"></p>
</details>

<details>
<summary><b>Handmade Balloon Photo 1</b> (<i>click to expand</i>)</summary>
<br/>
<p align="center"><img src="https://i.ibb.co/MGPKcvQ/screenshot-2023-08-06-220347.png"></p>
</details>

<details>
<summary><b>Handmade Balloon Photo 2</b> (<i>click to expand</i>)</summary>
<br/>
<p align="center"><img src="https://i.ibb.co/y5Wx24r/screenshot-2023-08-06-233822.png"></p>
</details>

<details>
<summary><b>Titan AirShip Photo 1</b> (<i>click to expand</i>)</summary>
<br/>
<p align="center"><img src="https://i.ibb.co/fqmQwxs/screenshot-2023-08-07-003536.png"></p>
</details>

<details>
<summary><b>Titan AirShip Photo 2</b> (<i>click to expand</i>)</summary>
<br/>
<p align="center"><img src="https://i.ibb.co/NS3s1w0/screenshot-2023-08-07-003614.png"></p>
</details>

<details>
<summary><b>Floatinh Orb</b> (<i>click to expand</i>)</summary>
<br/>
<p align="center"><img src="https://i.ibb.co/r6zFMmN/screenshot-2023-04-28-173451.png"></p>
</details>



<p align="center"><img src="https://i.ibb.co/XkCT77x/Marlthon-Mods.png"></p>

# Thanks

My sincere thanks to the entire OdinPlus Team -  <i>@Azummat - @Blaxxun's and @Just a Frogger.

A special thanks to my Professor <i>@GraveBear</i>, without his teachings and his encouragement I would never have gotten it.

`This mod was developed in partnership with @JustAFrogger, my friend thank you so much for all the help you've given me, no words I say will be able to express my gratitude to you.`

# Manual Install

>Mod is required on Server for Config Sync (this is still in development). 

>Download the latest copy of Bepinex per author's instructions.

>Place the AirShipsPlus.dll inside of the "Bepinex\plugins\" folder.

<p align="center"><b>For Questions or Comments go to: <a href="https://discord.gg/mZNHDwxTgp">Marlton's Channel</a> or to my website: <a href="https://marlthon.com/">Marlthon's Website</a></b></p>

[![KeyManager Disclaimer](https://noobtrap.eu/images/keymanager_disclaimer_server.png)](https://key.sayless.eu/faq.php)

 # Latest ChangeLog

	v0.0.7
	- Updated to the latest valheim build (217.14) hilders request.
	- Registered multiplayer effects.

<details>
<summary><b>Previous ChangeLog</b> (<i>click to expand</i>)</summary>
<br/>

	v0.0.1
	- First version released, server sync active. (Will override player config if installed to server)

	v0.0.2
	- Modified the way of consuming Orbs.
	- AirShips no longer sink in the sea
	- Fixed issue when logout out inside AirShips

	v0.0.3
	- Added AirShipThree.
	- Added Yellow Orb and Red Orb.
	- Added sound and animation effects to boats.
	- Added No Fuel warning.
	- Minimum flight height reduced to 4m
	- Max flight height reduced to 200m
	- Fixed error in AirShips names and other minor fixes.

	v0.0.4
	- Added compatibility with Patch 0.216.9
 
	v0.0.5
	- Added Handmade Balloon
	- Added translations for Chinese, French, German, Italian, Japanese, Korean, Portuguese, Russian and Spanish.
 
	v0.0.6
	- Fixed visual issue on impact of boats.
 
</details>